[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[Subclipse-dev] Fedora packaging (was: [fedora-java] Re: Eclipse 3.4)

From: Robert Marcano <robert_at_marcanoonline.com>
Date: Fri, 01 Aug 2008 09:13:22 -0430

On Thu, 2008-07-31 at 23:37 +0000, Mark Phippard wrote:
> Robert Marcano <robert@...> writes:
>
> > ooop my mistake , subclipse is at 1.4.3 and I have packaged 1.2.4, the
> > last time I checked it was at 1.4.2, (and 1.2.4 != 1.4.2 I need glasses)
>
> 1.4.2 is the current "release". 1.4.3 will be out fairly soon though.
>
> The architecture has changed quite a bit with 1.4.x. Email us at
> dev_at_subclipse.tigris.org if you have troubles packaging it. In theory the
> changes should give quite a lot of new flexibility.
>
> Mark

Hello everyone, I noticed a few things:

     1. SVNKit now uses JNA, not sure for what yet, I thought SVNKit was
        a pure Java implementation of SVN with no native hooks, anyways
        JNA is already packaged in Fedora
     2. SVNKit now provides an eclipse plugin (used by subclipse instead
        of the plain jar)
     3. SVNKit embeds javahl sources, I will remove it from SVNKit jar
        and add javahl.jar symlink to the SVNKit eclipse plugin because
        Fedora already have it,
     4. No more book plugin :-(
     5. More plugins with better separation
     6. Requires Subversion 1.5 so this will be Fedora 10 only

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe_at_subclipse.tigris.org
For additional commands, e-mail: dev-help_at_subclipse.tigris.org
Received on 2008-08-01 15:44:40 CEST

This is an archived mail posted to the Subclipse Dev mailing list.